#!/bin/sh
#
# Check or create osgi-runner hostkey
#
# $Id: check-or-create-hostkey.sh 299 2020-02-27 14:09:04Z wglas_yubikey_2019 $
#

# include prerequisites
. /usr/share/osgi-runner/sh/check-dirs.sh

if test ! -f $OSGI_ETCDIR/sshd.d/host.key
then
    echo "Generating a 2048-bit RSA host key pair in $OSGI_ETCDIR/sshd.d/host.key..."
    
    OSGI_RUNNER_JARFILE=$(ls $OSGI_BASE/lib/osgi-runner-*.jar)
    if test ! -f "$OSGI_RUNNER_JARFILE"
    then
        echo "Cannot find any version of osgi-runner in $OSGI_BASE/lib"
        exit 1
    fi

    SSHD_JARFILE=$(ls $OSGI_BASE/bundle*/sshd-osgi-*.jar)
    if test ! -f "$SSHD_JARFILE"
    then
        echo "Cannot find any version of sshd-osgi in $OSGI_BASE/bundle"'*'
        exit 2
    fi

    SLF4JAPI_JARFILE=$(ls $OSGI_BASE/aux/slf4j-api-*.jar)
    if test ! -f "$SLF4JAPI_JARFILE"
    then
        echo "Cannot find any version of slf4j-api in $OSGI_BASE/aux"
        exit 3
    fi

    SLF4JSIMPLE_JARFILE=$(ls $OSGI_BASE/aux/slf4j-simple-*.jar)
    if test ! -f "$SLF4JSIMPLE_JARFILE"
    then
        echo "Cannot find any version of slf4j-simple in $OSGI_BASE/aux"
        exit 4
    fi
    
    "$JAVA_EXE" -cp $OSGI_RUNNER_JARFILE:$SSHD_JARFILE:$SLF4JAPI_JARFILE:$SLF4JSIMPLE_JARFILE org.clazzes.osgi.runner.GenerateHostKey $OSGI_ETCDIR/sshd.d RSA 2048 || exit 5
    chgrp $OSGI_GROUP $OSGI_ETCDIR/sshd.d/host.key
    chmod 640 $OSGI_ETCDIR/sshd.d/host.key
fi
