#
# Shell snippet to be sourced in order to load the osgi-runner config
# Never run this script in standalone mode.
#

# marker for include, never change this line.
OSGI_RUNNER_CONFIG_INCLUDED=iro4sAFb2zRYXpP9

# installation directory
OSGI_BASE=/usr/share/osgi-runner

# etc directory
OSGI_ETCDIR=/etc/osgi-runner

# log directory
OSGI_LOGDIR=/var/log/osgi-runner

# cache directory
OSGI_CACHEDIR=/var/cache/osgi-runner

# var directory
OSGI_VARDIR=/var/lib/osgi-runner

# default runtime user
OSGI_USER=osgi
OSGI_GROUP=osgi

# default admin user
OSGI_ADMIN=root

# default chown directories
CHOWN_DIRS=""

# default chown mode for log directory, cache directory, deploy directory and CHOWN_DIRS 
CHOWN_MODE=770

# PID file
PIDFILE=/var/run/osgi-runner.pid

OSGI_WAIT=30
OSGI_DEBUG_STARTUP=0

JSVC_BIN=/usr/bin/jsvc
OSGI_CLASS=org.clazzes.osgi.runner.Daemon

# source osgi-runner defaults
JAVA_HOME=""

OSGI_START="no"

OSGI_DUMPDIR=/tmp

. /etc/default/osgi-runner

# double-check the user and group settings
if test -f /lib/systemd/system/osgi-runner.service
then

    if test -f /etc/systemd/system/osgi-runner.service
    then
        OSGI_SYSTEMD_UNIT=/etc/systemd/system/osgi-runner.service
    else
        OSGI_SYSTEMD_UNIT=/lib/systemd/system/osgi-runner.service
    fi

    OSGI_USER_SYSTEMD=$(sed 's/^User=//p;d' $OSGI_SYSTEMD_UNIT)
    OSGI_GROUP_SYSTEMD=$(sed 's/^Group=//p;d' $OSGI_SYSTEMD_UNIT)

    if test "$OSGI_USER_SYSTEMD" != "$OSGI_USER"
    then
        echo "Warning: User $OSGI_USER_SYSTEMD from $OSGI_SYSTEMD_UNIT differs from user $OSGI_USER in /etc/default/osgi-runner"
        echo "The OSGI_USER from /etc/default/osgi-runner will be ignored."
        echo "Consider creating file /etc/systemd/system/osgi-runner.service and changing the user there."
        OSGI_USER=$OSGI_USER_SYSTEMD
    fi

    if test "$OSGI_GROUP_SYSTEMD" != "$OSGI_GROUP"
    then
        echo "Warning: Group $OSGI_GROUP_SYSTEMD from $OSGI_SYSTEMD_UNIT differs from group $OSGI_GROUP in /etc/default/osgi-runner"
        echo "The OSGI_GROUP from /etc/default/osgi-runner will be ignored."
        echo "Consider creating file /etc/systemd/system/osgi-runner.service and changing the group there."
        OSGI_GROUP=$OSGI_GROUP_SYSTEMD
    fi
fi
    
if test -z "$JAVA_EXE"
then
    if test -z "$JAVA_HOME"
    then
        JAVA_EXE="/usr/bin/java"
    else
        JAVA_EXE="$JAVA_HOME/bin/java"
        if test ! -x "$JAVA_EXE"
        then
            JAVA_EXE="$JAVA_HOME/jre/bin/java"
        fi
    fi
fi
